microstache-1.0.3: Mustache templates for Haskell

Copyright | © 2016–2017 Stack Builders
License | BSD 3 clause
Maintainer | Mark Karpov <markkarpov@openmailbox.org>
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Microstache.Render

Description

Functions for rendering Mustache templates. You don't usually need to import the module, because Text.Microstache re-exports everything you may need, import that module instead.

Synopsis

- renderMustache :: Template -> Value -> Text
- renderMustacheW :: Template -> Value -> ([MustacheWarning], Text)

# Documentation

renderMustache :: Template -> Value -> Text Source #

Render a Mustache `Template` using Aeson's `Value` to get actual values for interpolation.

renderMustacheW :: Template -> Value -> ([MustacheWarning], Text) Source #

Like `renderMustache` but also return a list of warnings.

Since: 1.0.1